/**********************************************/
/*                                            */    
/* iReboot.h                                  */
/*                                            */
/* reboot management                          */
/*                                            */
/* scol v 4                                   */
/*                                            */
/**********************************************/







/**********************************************************/
/*                                                        */
/* BOOL iIsRebootNeeded()                                 */
/*                                                        */
/* scol v 4                                               */
/*                                                        */
/* returns 0 if the computer doesn't need to reboot.      */
/* otherwize, it returns nonzero.                         */
/**********************************************************/

BOOL iIsRebootNeeded();





/**********************************************************/
/*                                                        */
/* BOOL iRemoveNeedReboot()                               */
/*                                                        */
/* scol v 4                                               */
/*                                                        */
/* remove "ScolReboot" value from the CryoNEtworks        */
/* registry key.                                          */
/*                                                        */
/**********************************************************/

BOOL iRemoveNeedReboot();






/**********************************************************/
/*                                                        */
/* BOOL iNeedReboot ()                                    */
/*                                                        */
/* scol v 4                                               */
/*                                                        */
/* write a value in registry Cryo-Networks registry key   */
/* in order to indicate that we'll need to reboot the     */
/* computer.                                              */
/*                                                        */
/**********************************************************/

BOOL iNeedReboot ();






/**********************************************************/
/*                                                        */
/* BOOL iReboot ()                                        */
/*                                                        */
/* scol v 4                                               */
/*                                                        */
/* make the computer reboot                               */
/**********************************************************/

BOOL iReboot ();
