/**********************************************/
/*                                            */    
/* iWinVersion.h                              */
/*                                            */
/* get windows version                        */
/*                                            */
/* scol v 4                                   */
/*                                            */
/**********************************************/

void _log (char*format,...);


#define I_WINVER_NULL     0x00000000
#define I_WINVER_95       0x00000001
#define I_WINVER_98       0x00000002
#define I_WINVER_ME       0x00000003
#define I_WINVER_NT4      0x00000004
#define I_WINVER_2000     0x00000005
#define I_WINVER_WHISTLER 0x00000006






/*********************************************************/
/*                                                       */
/* DWORD iSetWinVersion (DWORD ver)                      */
/*                                                       */
/* scol v 4                                              */
/*                                                       */
/* force the value of iWinVersion internal variable.     */
/*                                                       */
/* give I_WINVER_NULL as parameter make the next         */
/* iGetWinVersion() call compute the OS version.         */
/*                                                       */
/*********************************************************/
DWORD iSetWinVersion (DWORD ver);





/*********************************************************/
/*                                                       */
/* DWORD iGetWinVersion ()                               */
/*                                                       */
/* scol v 4                                              */
/*                                                       */
/* return the version of current window OS.              */
/* codes are defines in iWinVersion.h                    */
/*                                                       */
/* the first iGetWinVersion call make it compute the     */
/* OS version, and store it into an internal variable.   */
/* Next calls make it return the value stored in this    */
/* variable.                                             */
/*                                                       */
/* call iSetWinVersion (I_WINVER_NULL) to make           */
/* iGetWinVersion compute the OS version again.          */
/*                                                       */
/*********************************************************/
DWORD iGetWinVersion ();