/**********************************************/
/*                                            */    
/* iprocess.h                                 */
/*                                            */
/* allows installer to check scol processes   */
/* and to kill them                           */
/*                                            */
/* scol v 4                                   */
/*                                            */
/* by Loc Berthelot, CryoNetworks, may 2001  */
/*                                            */
/**********************************************/


#ifndef _IPROCESS_H
#define _IPROCESS_H



extern DWORD  *scolPIDs;
extern DWORD   scolPIDsSize;


/***************************************/
/* KillScol                            */
/*                                     */
/* kill all processes referenced in    */
/* scolProcID                          */
/***************************************/
BOOL KillScol ();




/***************************************/
/* IsScolRunning                       */
/*                                     */
/* replace old IsScolRunning function  */
/* return TRUE if one or several scol  */
/* processes are detected.             */
/***************************************/
BOOL IsScolRunning ();


#endif
